%define tarname Routes

%bcond_with docs

Summary:	Routing recognition and generation tools for Python
Name:		python-routes
Version:	2.5.1
Release:	%mkrel 3
License:	BSD
Group:		Development/Python
Url:		http://routes.groovie.org/
Source0:        https://pypi.io/packages/source/R/%{tarname}/%{tarname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-setuptools
%if %{with docs}
BuildRequires:  python3-sphinx
%endif
BuildRequires:	python3-webob

%description
Routes is a Python re-implementation of the Rails routes system for
mapping URLs to application actions, and conversely to generate
URLs. Routes makes it easy to create pretty and concise URLs that are
RESTful with little effort.

Routes allows conditional matching based on domain, cookies, HTTP
method, or a custom function. Sub-domain support is built in. Routes
comes with an extensive unit test suite.

%package     -n python3-routes
Group:          Development/Python
Summary:        Routing recognition and generation tools for Python3
Requires:	python3-pkg-resources
Requires:	python3-webob
%{?python_provide:%python_provide python3-routes}

%description -n python3-routes
Routes is a Python re-implementation of the Rails routes system for
mapping URLs to application actions, and conversely to generate
URLs. Routes makes it easy to create pretty and concise URLs that are
RESTful with little effort.

Routes allows conditional matching based on domain, cookies, HTTP
method, or a custom function. Sub-domain support is built in. Routes
comes with an extensive unit test suite.

%files -n python3-routes
%doc CHANGELOG.rst LICENSE.txt README.rst
%if %{with docs}
%doc docs/_build/html
%endif
%{python3_sitelib}/*

#--------------------------------------------------------------------

%prep
%setup -q -n %{tarname}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

%if %{with docs}
pushd docs
export PYTHONPATH=`dir -d ../build/lib*`
make html
rm -f _build/html/.buildinfo
popd
%endif


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 2.5.1-3.mga9
+ Revision: 1825686
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 2.5.1-2.mga9
+ Revision: 1782713
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.5.1-1.mga9
+ Revision: 1733808
- new version 2.5.1
- disable docs build for now due to errors in conf.py
- Rebuild for python 3.9
+ tmb <tmb>
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.4.1-4.mga8
+ Revision: 1532458
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 2.4.1-3.mga8
+ Revision: 1442348
- rebuild for python3.8
- drop python2 support

* Sun Aug 25 2019 wally <wally> 2.4.1-2.mga8
+ Revision: 1431822
- update doc build

* Thu Jan 10 2019 shlomif <shlomif> 2.4.1-1.mga7
+ Revision: 1354261
- New version

* Thu Sep 20 2018 umeabot <umeabot> 2.2-4.mga7
+ Revision: 1290004
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.2-3.mga7
+ Revision: 1135613
- Rebuild for python 3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 12 2015 philippem <philippem> 2.2-1.mga6
+ Revision: 909741
- update to 2.2, add Python3, clean spec
+ tv <tv>
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.12.3-9.mga5
+ Revision: 751153
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.12.3-8.mga5
+ Revision: 729665
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.12.3-7.mga5
+ Revision: 688312
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Wed Mar 26 2014 pterjan <pterjan> 1.12.3-5.mga5
+ Revision: 608741
- Fix popd call

* Tue Oct 22 2013 umeabot <umeabot> 1.12.3-4.mga4
+ Revision: 544951
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.12.3-3.mga4
+ Revision: 500563
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.12.3-2.mga3
+ Revision: 379454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 1.12.3-1.mga3
+ Revision: 313569
- imported package python-routes


* Thu Mar 31 2011 Lev Givon <lev@mandriva.org> 1.12.3-1mdv2011.0
+ Revision: 649446
- import python-routes


